Bug 193720 - Adopt a new acpi_quirk from DragonflyBSD
Summary: Adopt a new acpi_quirk from DragonflyBSD
Status: Closed Not Accepted
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: Normal Affects Some People
Assignee: freebsd-acpi (Nobody)
URL: http://freshbsd.org/commit/dfbsd/3bb5...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-09-17 17:41 UTC by Lars Engels
Modified: 2017-05-16 22:35 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Engels freebsd_committer 2014-09-17 17:41:19 UTC
DragonflyBSD added a new acpi_quirk for Notebooks whose DSDTs report a negative 16-bit rate.

The quirk can most probably also applied to our apci implementation. Shortly before the DFly commit the affected files were sync'ed from FreeBSD.

See http://freshbsd.org/commit/dfbsd/3bb5af08be0b4f2b68e64d7861a103a31a4af4f7 for the commit details.
Comment 1 Lars Engels freebsd_committer 2014-09-17 17:57:31 UTC
I don't that notebook, but the patch applies cleanly, compiles on my HEAD notebook and the new kernel works.

Link to the raw diff: http://freshbsd.org/commit/dfbsd/3bb5af08be0b4f2b68e64d7861a103a31a4af4f7/diff.txt
Comment 2 Adrian Chadd freebsd_committer 2014-09-17 19:09:33 UTC
Reassigning to -mobile.

Would someone with a commit bit please push this into -HEAD? I'm a little swamped atm.
Comment 3 John Baldwin freebsd_committer freebsd_triage 2014-09-22 15:42:13 UTC
It's hard to verify that the fix is correct unless someone has a busted laptop it can be tested on.  Note that the patch adjusts bst[i].rate after it has been added into valid_rate which seems incorrect.  (I suspect it should be adjusted before, not after.)
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2015-03-10 02:46:20 UTC
Reassign from non-responding assignee.
Comment 5 Josh Paetzel freebsd_committer 2017-05-16 22:35:03 UTC
This patch is broken, the hardware it addresses is not common, and in two years no one has tested it.